---
title: WorkerGlobalScope.onoffline
slug: Web/API/WorkerGlobalScope/onoffline
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
  - onoffline
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <strong><code>onoffline</code></strong> property of the {{domxref("WorkerGlobalScope")}} interface represents an {{domxref("EventHandler")}} to be called when the {{event("offline")}} event occurs and bubbles through the {{domxref("Worker")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre>self.onoffline = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following code snippet shows an <code>onoffline</code> handler set inside a worker:</p>

<pre class="brush: js">self.onoffline = function() {
  console.log('Your worker is now offline');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#handler-workerglobalscope-onoffline", "WorkerGlobalScope.onoffline")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.onoffline")}}</p>

<h2 id="See_also">See also</h2>

<p>The {{domxref("WorkerGlobalScope")}} interface it belongs to.</p>
